﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG302xB (1 yr) Spurious VER VISA /RSA3000
DATE:                  2010-06-04 12:54:10
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       25
NUMBER OF LINES:       526
CONFIGURATION:         Tektronix RSA3308A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3021B, AFG 3022B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek RSA3000 Reset IEEE
#        Sub Tek RSA3000 Setup IEEE
#        Sub Tek RSA3000 Measure IEEE
#        Sub Tek AFG3000 Spurious Find IEEE /RSA3000
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following test method is refer to Tektornix AFG3000 series manufacturing
# MQC spurious test.

  1.001  IF           0
  1.002  IEEE         [@RSA3000]
  1.003  ENDIF

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  HEAD         {SPURIOUS TEST}, CH [V @Chan]
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]
  1.010  RSLT         =

  1.011  HEAD         -2{ 100 kHz Fundamental, 20 MHz Span}
  1.012  TARGET
  1.013  CALL         Sub Tek RSA3000 Reset IEEE
  1.014  MATH         @RSA3000_InitCmd = "SANORMAL"
  1.015  MATH         @RSA3000_Acq = 0
  1.016  MATH         @RSA3000_TraceNum = 1
  1.017  MATH         @RSA3000_TraceMode = "AVERAGE"
  1.018  MATH         @RSA3000_RefLevel = 8
  1.019  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and output.
  1.020  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  1.021  VISA         SOUR[V @Chan]:FREQ 100KHz
  1.022  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  1.023  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  1.024  VISA         OUTP[V @Chan]:STAT ON

# Search range: 0 - 1 MHz.
  1.025  MATH         @RSA3000_CentFreq = 500E+3; @RSA3000_Span = 1E+6
  1.026  MATH         @RSA3000_BandRes = 2E+3; @RSA3000_AvgCount = 10

# Set the fundamental frequency.
  1.027  MATH         @TestFreq = 1E+5
  1.028  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
  1.029  MATH         PkVal_1 = @PkVal
  1.030  MATH         PkFreq_1 = @PkFreq

  1.031  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
  1.032  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

  1.033  IF           @FundFind && (PkFreq_1 == @TestFreq)
  1.034  MATH         SpurFind = 0
  1.035  ELSEIF       (NOT(L[1]) && (L[2] < 10))
  1.036  MATH         SpurFind = 0
  1.037  ELSE
  1.038  MATH         SpurFind = 1
  1.039  ENDIF

# Search range: 1 - 20 MHz.
  1.040  MATH         @RSA3000_CentFreq = 10.5E+6; @RSA3000_Span = 19E+6
  1.041  MATH         @RSA3000_BandRes = 20E+3; @RSA3000_AvgCount = 8
  1.042  MATH         @TestFreq = 1E+5
  1.043  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
  1.044  MATH         PkVal_2 = @PkVal
  1.045  MATH         PkFreq_2 = @PkFreq

  1.046  IF           SpurFind && (PkVal_1 < PkVal_2)
  1.047  MATH         PkVal_1 = PkVal_2
  1.048  MATH         PkFreq_1 = PkFreq_2
  1.049  ENDIF

  1.050  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
  1.051  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

# Find the fundamental, can't find the spurious.
  1.052  IF           @FundFind && (PkFreq_1 == @TestFreq)
  1.053  EVAL   -e 1 : Max Spurious < -80 dBc

# Find the harmonic, can't find the spurious.
  2.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
  2.002  EVAL   -e 1: Max Spurious < -80 dBc

  3.001  ELSE
  3.002  MATH         MEM = PkFreq_1 / 1E+6
  3.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
  3.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
  3.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
  3.006  MATH         RstStr = RstStr & ", " & SpurValStr
  3.007  MATH         RstStr = RstStr & ", Limit is -60 dBc"
  3.008  EVAL   -e PkVal_1 < -60 : [V RstStr]
  4.001  ENDIF

  4.002  RSLT         =
  4.003  HEAD         -2{ 100 kHz Fundamental, 600 MHz Span}
  4.004  TARGET

# 20 - 600 MHz
  4.005  MATH         @RSA3000_CentFreq = 310E+6; @RSA3000_Span = 580E+6
  4.006  MATH         @RSA3000_BandRes = 20E+3; @RSA3000_AvgCount = 5
  4.007  MATH         @TestFreq = 1E+5
  4.008  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
  4.009  MATH         PkVal_2 = @PkVal
  4.010  MATH         PkFreq_2 = @PkFreq

# Judge the max value.
# Note: PkVal_1 and PkFreq_1 are fetched from last test.
  4.011  IF           PkVal_2 > PkVal_1
  4.012  MATH         PkVal_1 = PkVal_2
  4.013  MATH         PkFreq_1 = PkFreq_2
  4.014  ENDIF

  4.015  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
  4.016  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

  4.017  IF           @FundFind && (PkFreq_1 == @TestFreq)
  4.018  EVAL   -e 1 : Max Spurious < -80 dBc

  5.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
  5.002  EVAL   -e 1: Max Spurious < -80 dBc

  6.001  ELSE
  6.002  MATH         MEM = PkFreq_1 / 1E+6
  6.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
  6.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
  6.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
  6.006  MATH         RstStr = RstStr & ", " & SpurValStr
  6.007  MATH         RstStr = RstStr & ", Limit is -60 dBc"
  6.008  EVAL   -e PkVal_1 < -60 : [V RstStr]
  7.001  ENDIF

  7.002  VISA         OUTP[V @Chan]:STAT OFF

  7.003  RSLT         =
  7.004  HEAD         -2{ 1 MHz Fundamental, 20 MHz Span}
  7.005  TARGET

# Initialize the varibles.
  7.006  MATH         PkVal_1 = -80; PkFreq_1 = 0
  7.007  MATH         PkVal_2 = -80; PkFreq_2 = 0
  7.008  MATH         PkVal = -80; PkFreq = 0

# RSA3000 reset and Initialize.
  7.009  CALL         Sub Tek RSA3000 Reset IEEE
  7.010  MATH         @RSA3000_InitCmd = "SANORMAL"
  7.011  MATH         @RSA3000_Acq = 0
  7.012  MATH         @RSA3000_TraceNum = 1
  7.013  MATH         @RSA3000_TraceMode = "AVERAGE"
  7.014  MATH         @RSA3000_RefLevel = 8
  7.015  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and output.
  7.016  VISA         SOUR[V @Chan]:FREQ 1MHz
  7.017  VISA         OUTP[V @Chan]:STAT ON

# Search range: 0 - 1 MHz.
  7.018  MATH         @RSA3000_CentFreq = 500E+3; @RSA3000_Span = 1E+6
  7.019  MATH         @RSA3000_BandRes = 2E+3
  7.020  MATH         @RSA3000_AvgCount = 10
  7.021  MATH         @TestFreq = 1E+6
  7.022  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
  7.023  MATH         PkVal_1 = @PkVal
  7.024  MATH         PkFreq_1 = @PkFreq
  7.025  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
  7.026  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

  7.027  IF           @FundFind && (PkFreq_1 == @TestFreq)
  7.028  MATH         SpurFind = 0
  7.029  ELSEIF       (NOT(L[1]) && (L[2] < 10))
  7.030  MATH         SpurFind = 0
  7.031  ELSE
  7.032  MATH         SpurFind = 1
  7.033  ENDIF

# Search range: 1 - 20 MHz.
  7.034  MATH         @RSA3000_CentFreq = 10.5E+6; @RSA3000_Span = 19E+6
  7.035  MATH         @RSA3000_BandRes = 20E+3
  7.036  MATH         @RSA3000_AvgCount = 8
  7.037  MATH         @TestFreq = 1E+6
  7.038  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
  7.039  MATH         PkVal_2 = @PkVal
  7.040  MATH         PkFreq_2 = @PkFreq

  7.041  IF           SpurFind && (PkVal_1 < PkVal_2)
  7.042  MATH         PkVal_1 = PkVal_2
  7.043  MATH         PkFreq_1 = PkFreq_2
  7.044  ENDIF

  7.045  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
  7.046  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

  7.047  IF           @FundFind && (PkFreq_1 == @TestFreq)
  7.048  EVAL   -e 1 : Max Spurious < -80 dBc

  8.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
  8.002  EVAL   -e 1: Max Spurious < -80 dBc

  9.001  ELSE
  9.002  MATH         MEM = PkFreq_1 / 1E+6
  9.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
  9.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
  9.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
  9.006  MATH         RstStr = RstStr & ", " & SpurValStr
  9.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
  9.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 10.001  ENDIF

 10.002  RSLT         =
 10.003  HEAD         -2{ 1 MHz Fundamental, 600 MHz Span}
 10.004  TARGET

# 20 - 600 MHz
 10.005  MATH         @RSA3000_CentFreq = 310E+6; @RSA3000_Span = 580E+6
 10.006  MATH         @RSA3000_BandRes = 20E+3
 10.007  MATH         @RSA3000_AvgCount = 5
 10.008  MATH         @TestFreq = 1E+6
 10.009  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 10.010  MATH         PkVal_2 = @PkVal
 10.011  MATH         PkFreq_2 = @PkFreq

# Judge the max value.
 10.012  IF           PkVal_2 > PkVal_1
 10.013  MATH         PkVal_1 = PkVal_2
 10.014  MATH         PkFreq_1 = PkFreq_2
 10.015  ENDIF

 10.016  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 10.017  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 10.018  IF           @FundFind && (PkFreq_1 == @TestFreq)
 10.019  EVAL   -e 1 : Max Spurious < -80 dBc

 11.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 11.002  EVAL   -e 1: Max Spurious < -80 dBc

 12.001  ELSE
 12.002  MATH         MEM = PkFreq_1 / 1E+6
 12.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
 12.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
 12.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
 12.006  MATH         RstStr = RstStr & ", " & SpurValStr
 12.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
 12.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 13.001  ENDIF

 13.002  VISA         OUTP[V @Chan]:STAT OFF

 13.003  RSLT         =
 13.004  HEAD         -2{ 10 MHz Fundamental, 20 MHz Span}
 13.005  TARGET
 13.006  MATH         PkVal_1 = -80; PkFreq_1 = 0
 13.007  MATH         PkVal_2 = -80; PkFreq_2 = 0
 13.008  MATH         PkVal = -80; PkFreq = 0

# RSA3000 reset and Initialize.
 13.009  CALL         Sub Tek RSA3000 Reset IEEE
 13.010  MATH         @RSA3000_InitCmd = "SANORMAL"
 13.011  MATH         @RSA3000_Acq = 0
 13.012  MATH         @RSA3000_TraceNum = 1
 13.013  MATH         @RSA3000_TraceMode = "AVERAGE"
 13.014  MATH         @RSA3000_RefLevel = 8
 13.015  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and output.
 13.016  VISA         SOUR[V @Chan]:FREQ 10MHz
 13.017  VISA         OUTP[V @Chan]:STAT ON

# 0 - 1 MHz search.
 13.018  MATH         @RSA3000_CentFreq = 500E+3; @RSA3000_Span = 1E+6
 13.019  MATH         @RSA3000_BandRes = 2E+3
 13.020  MATH         @RSA3000_AvgCount = 10
 13.021  MATH         @TestFreq = 10E+6
 13.022  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 13.023  MATH         PkVal_1 = @PkVal
 13.024  MATH         PkFreq_1 = @PkFreq
 13.025  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 13.026  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 13.027  IF           @FundFind && (PkFreq_1 == @TestFreq)
 13.028  MATH         SpurFind = 0
 13.029  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 13.030  MATH         SpurFind = 0
 13.031  ELSE
 13.032  MATH         SpurFind = 1
 13.033  ENDIF

# Search range: 1 - 20 MHz.
 13.034  MATH         @RSA3000_CentFreq = 10.5E+6; @RSA3000_Span = 19E+6
 13.035  MATH         @RSA3000_BandRes = 20E+3
 13.036  MATH         @RSA3000_AvgCount = 10
 13.037  MATH         @TestFreq = 10E+6
 13.038  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 13.039  MATH         PkVal_2 = @PkVal
 13.040  MATH         PkFreq_2 = @PkFreq

 13.041  IF           SpurFind && (PkVal_1 < PkVal_2)
 13.042  MATH         PkVal_1 = PkVal_2
 13.043  MATH         PkFreq_1 = PkFreq_2
 13.044  ENDIF

 13.045  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 13.046  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 13.047  IF           @FundFind && (PkFreq_1 == @TestFreq)
 13.048  EVAL   -e 1 : Max Spurious < -80 dBc

 14.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 14.002  EVAL   -e 1: Max Spurious < -80 dBc

 15.001  ELSE
 15.002  MATH         MEM = PkFreq_1 / 1E+6
 15.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
 15.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
 15.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
 15.006  MATH         RstStr = RstStr & ", " & SpurValStr
 15.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
 15.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 16.001  ENDIF

 16.002  RSLT         =
 16.003  HEAD         -2{ 10 MHz Fundamental, 600 MHz Span}
 16.004  TARGET

# 20 - 600 MHz
 16.005  MATH         @RSA3000_CentFreq = 310E+6; @RSA3000_Span = 580E+6
 16.006  MATH         @RSA3000_BandRes = 20E+3
 16.007  MATH         @RSA3000_AvgCount = 5
 16.008  MATH         @TestFreq = 10E+6
 16.009  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 16.010  MATH         PkVal_2 = @PkVal
 16.011  MATH         PkFreq_2 = @PkFreq

# Judge the max value.
 16.012  IF           PkVal_2 > PkVal_1
 16.013  MATH         PkVal_1 = PkVal_2
 16.014  MATH         PkFreq_1 = PkFreq_2
 16.015  ENDIF

 16.016  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 16.017  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 16.018  IF           @FundFind && (PkFreq_1 == @TestFreq)
 16.019  EVAL   -e 1 : Max Spurious < -80 dBc

 17.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 17.002  EVAL   -e 1: Max Spurious < -80 dBc

 18.001  ELSE
 18.002  MATH         MEM = PkFreq_1 / 1E+6
 18.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
 18.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
 18.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
 18.006  MATH         RstStr = RstStr & ", " & SpurValStr
 18.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
 18.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 19.001  ENDIF

 19.002  VISA         OUTP[V @Chan]:STAT OFF

 19.003  RSLT         =
 19.004  HEAD         -2{ 25 MHz Fundamental, 20 MHz Span}
 19.005  TARGET
 19.006  MATH         PkVal_1 = -80; PkFreq_1 = 0
 19.007  MATH         PkVal_2 = -80; PkFreq_2 = 0
 19.008  MATH         PkVal = -80; PkFreq = 0

# RSA3000 reset and Initialize.
 19.009  CALL         Sub Tek RSA3000 Reset IEEE
 19.010  MATH         @RSA3000_InitCmd = "SANORMAL"
 19.011  MATH         @RSA3000_Acq = 0
 19.012  MATH         @RSA3000_TraceNum = 1
 19.013  MATH         @RSA3000_TraceMode = "AVERAGE"
 19.014  MATH         @RSA3000_RefLevel = 8
 19.015  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and output.
 19.016  VISA         SOUR[V @Chan]:FREQ 25MHz
 19.017  VISA         OUTP[V @Chan]:STAT ON

# Search range: 0 - 1 MHz.
 19.018  MATH         @RSA3000_CentFreq = 500E+3; @RSA3000_Span = 1E+6
 19.019  MATH         @RSA3000_BandRes = 2E+3
 19.020  MATH         @RSA3000_AvgCount = 10
 19.021  MATH         @TestFreq = 25E+6
 19.022  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 19.023  MATH         PkVal_1 = @PkVal
 19.024  MATH         PkFreq_1 = @PkFreq
 19.025  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 19.026  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 19.027  IF           @FundFind && (PkFreq_1 == @TestFreq)
 19.028  MATH         SpurFind = 0
 19.029  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 19.030  MATH         SpurFind = 0
 19.031  ELSE
 19.032  MATH         SpurFind = 1
 19.033  ENDIF

# Search range: 1 - 20 MHz.
 19.034  MATH         @RSA3000_CentFreq = 10.5E+6; @RSA3000_Span = 19E+6
 19.035  MATH         @RSA3000_BandRes = 20E+3
 19.036  MATH         @RSA3000_AvgCount = 10
 19.037  MATH         @TestFreq = 25E+6
 19.038  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 19.039  MATH         PkVal_2 = @PkVal
 19.040  MATH         PkFreq_2 = @PkFreq

 19.041  IF           SpurFind && (PkVal_1 < PkVal_2)
 19.042  MATH         PkVal_1 = PkVal_2
 19.043  MATH         PkFreq_1 = PkFreq_2
 19.044  ENDIF

 19.045  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 19.046  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 19.047  IF           @FundFind && (PkFreq_1 == @TestFreq)
 19.048  EVAL   -e 1 : Max Spurious < -80 dBc

 20.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 20.002  EVAL   -e 1: Max Spurious < -80 dBc

 21.001  ELSE
 21.002  MATH         MEM = PkFreq_1 / 1E+6
 21.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
 21.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
 21.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
 21.006  MATH         RstStr = RstStr & ", " & SpurValStr
 21.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
 21.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 22.001  ENDIF

 22.002  RSLT         =
 22.003  HEAD         -2{ 25 MHz Fundamental, 600 MHz Span}
 22.004  TARGET

# 20 - 600 MHz
 22.005  MATH         @RSA3000_CentFreq = 310E+6; @RSA3000_Span = 580E+6
 22.006  MATH         @RSA3000_BandRes = 20E+3
 22.007  MATH         @RSA3000_AvgCount = 5
 22.008  MATH         @TestFreq = 25E+6
 22.009  CALL         Sub Tek AFG3000 Spurious Find IEEE /RSA3000
 22.010  MATH         PkVal_2 = @PkVal
 22.011  MATH         PkFreq_2 = @PkFreq

# Judge the max value.
 22.012  IF           PkVal_2 > PkVal_1
 22.013  MATH         PkVal_1 = PkVal_2
 22.014  MATH         PkFreq_1 = PkFreq_2
 22.015  ENDIF

 22.016  MATH         L[1] = PkFreq_1 - INT(PkFreq_1 / @TestFreq) * @TestFreq
 22.017  MATH         L[2] = INT(PkFreq_1 / @TestFreq)

 22.018  IF           @FundFind && (PkFreq_1 == @TestFreq)
 22.019  EVAL   -e 1 : Max Spurious < -80 dBc

 23.001  ELSEIF       (NOT(L[1]) && (L[2] < 10))
 23.002  EVAL   -e 1: Max Spurious < -80 dBc

 24.001  ELSE
 24.002  MATH         MEM = PkFreq_1 / 1E+6
 24.003  MATH         SpurFreqStr = FMT(MEM, "%.3f") & " MHz"
 24.004  MATH         SpurValStr = FMT(PkVal_1, "%.3f") & " dBc"
 24.005  MATH         RstStr = "Max Spurious: " & SpurFreqStr
 24.006  MATH         RstStr = RstStr & ", " & SpurValStr
 24.007  MATH         RstStr = RstStr & ", Limit is -50 dBc"
 24.008  EVAL   -e PkVal_1 < -50 : [V RstStr]
 25.001  ENDIF

 25.002  CALL         Sub Tek RSA3000 Reset IEEE
 25.003  VISA         OUTP[V @Chan]:STAT OFF

 25.004  HEAD         -2
 25.005  HEAD
 25.006  END




